Productsup
CDE APIApi referenceConnectors

List connectors

Integrators can only list their own connectors

Sign in to run requests against the CDE API.
GET
/connectors

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Query Parameters

name?string

filter by connector name

type?string

filter by connector type

owners?string

filter by owner's uuid

released?string

filter by released status in production (true/false)

from?integer

starting item

limit?integer

items per page

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://cde.staging.productsup.com/connectors"
{
  "data": [
    {
      "id": "805727cd-73ab-4fe5-a9b5-b750343e1093",
      "type": "export",
      "name": "connector11",
      "description": null,
      "readme": null,
      "flow": "default",
      "main-version-number": null,
      "owner": "019e16f4-6db2-70f9-bc84-0dc9c5d6d57f",
      "integrator": "019e16f4-6db2-70f9-bc84-0dc9c5d6d57f",
      "versions": [
        {
          "name": "connector11",
          "description": null,
          "readme": null,
          "version": "1.0.0",
          "logo": null,
          "created-at": "2026-05-11T14:12:58+02:00",
          "updated-at": "2026-05-11T14:12:58+02:00",
          "deleted-at": null,
          "state": "created",
          "config": {
            "update-progress": [],
            "secret-registrations": [],
            "authentication-registrations": [],
            "authentication-registrations-additional-fields": [],
            "application": null,
            "vcs": null,
            "docker": {
              "image-name": null,
              "image-tag": null,
              "registry-url": null
            },
            "individuals": [],
            "migration": null,
            "execution": {
              "execution-mode": "as-env-variables",
              "container-api-image": "test.domain.docker/test/container-api-image:1.0.0",
              "docker-host": null,
              "container-api": {
                "image": null,
                "version-constraint": "^9.9.9"
              }
            },
            "export": {
              "channels": [],
              "channel-config": [],
              "feedback-file-enabled": false,
              "feedback-file-source-connection-column": null,
              "feedback-file-target-connection-column": null,
              "feedback-application-config": null
            },
            "data-service": null,
            "datasource": null,
            "buckets": [],
            "feature-flags": [],
            "container-api-config": null
          },
          "platform_dev_reference": {
            "account": null,
            "project": null,
            "executable": null,
            "platform-connector": null,
            "site": null,
            "site-processing-cluster": null,
            "assigned-to-site": null,
            "assigned-to-channel": null,
            "assigned-to-channel-site": null,
            "assigned-to-channel-site-destination": null,
            "runtime": {
              "environment": "bin-docker-wrapper",
              "version": "4.49.2"
            }
          },
          "platform_prod_reference": {
            "executable": null,
            "platform-connector": null,
            "target-accounts": [],
            "target-projects": [],
            "target-sites": [],
            "enabled-for-accounts": [],
            "enabled-for-projects": [],
            "enabled-for-sites": [],
            "assigned-to-sites": [],
            "released": false,
            "version": null,
            "runtime": {
              "environment": "bin-docker-wrapper",
              "version": "4.49.2"
            }
          },
          "prod_config": null,
          "dev_config": null
        }
      ],
      "main": null
    }
  ],
  "metadata": {
    "from": 0,
    "limit": 100,
    "count": 1,
    "total": 1,
    "next": null
  },
  "message": "successful operation",
  "resource": "connector"
}
{
  "message": "Bad request.",
  "errors": {
    "type": "The value you selected is not a valid choice."
  }
}
{
  "message": "You have to be authorized to access this resource."
}
{
  "message": "Access denied for user."
}

How is this guide?